@keyframes modal-overlay-spinner {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
@keyframes modal-button-spinner {
  to {
    transform: rotate(360deg);
  }
}
.page-ranking .content {
  flex: 1;
}
.page-ranking .breadcrumb-full {
  padding: 0 8px;
  display: flex;
  gap: 4px;
  overflow: hidden;
  color: #000000;
  font-size: 10px;
  height: 30px;
  width: 100%;
  flex-shrink: 0;
  align-items: center;
}
.page-ranking .breadcrumb-full .breadcrumb-separator {
  color: #909399;
}
.page-ranking .ranking-header {
  padding: 0 8px;
  display: flex;
  align-items: center;
  gap: 4px;
  color: rgba(0, 0, 0, 0.8980392157);
  font-size: 16px;
  font-weight: 600;
  height: 40px;
}
.page-ranking .list-content .banner {
  width: 100%;
  height: auto;
  aspect-ratio: 375/180;
}
.page-ranking .list-content .list {
  padding: 0 8px 8px 8px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.page-ranking .gift-item {
  display: block;
  width: 100%;
  height: auto;
  position: relative;
  border: 2px solid #744F9C;
  border-radius: 8px;
  overflow: visible;
  aspect-ratio: 16/9;
}
.page-ranking .gift-item .tag {
  position: absolute;
  left: -2px;
  top: -2px;
  display: flex;
  align-items: center;
  gap: 4px;
  padding: 4px 8px;
  color: #E7D7FF;
  font-size: 11px;
  line-height: 14px;
  font-weight: 500;
  z-index: 2;
  background-image: url("/assets/images/mobile/gift/tag-bg-8.svg");
  background-size: 100% calc(100% - 1px);
  background-origin: border-box;
  background-repeat: no-repeat;
}
.page-ranking .gift-item .tag .dot {
  width: 3px;
  height: 3px;
  border-radius: 50%;
  background-color: #E7D7FF;
}
.page-ranking .gift-item .gift-game-info {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 8px 12px;
  display: flex;
  flex-direction: column;
  gap: 4px;
  height: 100px;
  border-bottom-right-radius: 6px;
  border-bottom-left-radius: 6px;
  justify-content: flex-end;
  background: linear-gradient(182.1deg, rgba(0, 0, 0, 0) 1.76%, rgba(0, 0, 0, 0.5) 98.23%);
}
.page-ranking .gift-item .gift-game-info .gift-name {
  display: flex;
  align-items: center;
  gap: 4px;
  color: #FFFFFF;
  font-size: 16px;
  font-weight: 600;
}
.page-ranking .gift-item .gift-game-info .gift-name span,
.page-ranking .gift-item .gift-game-info .gift-name div {
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
}
.page-ranking .gift-item .gift-game-info .gift-name .dot {
  width: 3px;
  height: 3px;
  border-radius: 50%;
  background-color: #fff;
}
.page-ranking .gift-item .gift-game-info .gift-price {
  display: flex;
  align-items: baseline;
  gap: 12px;
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
}
.page-ranking .gift-item .gift-game-info .gift-price .final-price {
  display: flex;
  align-items: baseline;
  font-size: 24px;
  color: #fff;
  font-weight: 600;
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
  line-height: 22px;
}
.page-ranking .gift-item .gift-game-info .gift-price .final-price .symbol {
  font-size: 14px;
}
.page-ranking .gift-item .gift-game-info .gift-price .origin-price {
  font-size: 12px;
  font-weight: 500;
  color: #fff;
  text-decoration: line-through;
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
}
.page-ranking .gift-item .gift-game-info .gift-price .discount {
  background-color: #67C23A;
  padding: 0 8px;
  height: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100px;
  color: #FFFFFF;
  font-size: 11px;
  line-height: 14px;
  font-weight: 500;
}
.page-ranking .gift-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 6px;
  display: block;
  aspect-ratio: 16/9;
}
.page-ranking .more {
  display: block;
  width: 100%;
  height: auto;
  position: relative;
  border: 2px solid #887149;
  border-radius: 8px;
  overflow: visible;
  aspect-ratio: 16/9;
}
.page-ranking .more .tag {
  position: absolute;
  left: -2px;
  top: -2px;
  display: flex;
  align-items: center;
  gap: 4px;
  padding: 4px 8px;
  color: #F6EFD4;
  font-size: 11px;
  line-height: 14px;
  font-weight: 500;
  z-index: 2;
  background-image: url("/assets/images/mobile/gift/tag-gold-8.svg");
  background-size: 100% calc(100% - 1px);
  background-origin: border-box;
  background-repeat: no-repeat;
}
.page-ranking .more .tag .dot {
  width: 3px;
  height: 3px;
  border-radius: 50%;
  background-color: #F6EFD4;
}
.page-ranking .more .gift-game-info {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 8px 12px;
  display: flex;
  flex-direction: column;
  gap: 4px;
  height: 100px;
  border-bottom-right-radius: 6px;
  border-bottom-left-radius: 6px;
  justify-content: flex-end;
  background: linear-gradient(182.1deg, rgba(0, 0, 0, 0) 1.76%, rgba(0, 0, 0, 0.5) 98.23%);
}
.page-ranking .more .gift-game-info .gift-name {
  display: flex;
  align-items: center;
  gap: 4px;
  color: #FFFFFF;
  font-size: 16px;
  font-weight: 600;
}
.page-ranking .more .gift-game-info .gift-name span,
.page-ranking .more .gift-game-info .gift-name div {
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
}
.page-ranking .more .gift-game-info .gift-name .dot {
  width: 3px;
  height: 3px;
  border-radius: 50%;
  background-color: #fff;
}
.page-ranking .more .gift-game-info .gift-price {
  display: flex;
  align-items: baseline;
  gap: 12px;
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
}
.page-ranking .more .gift-game-info .gift-price .final-price {
  display: flex;
  align-items: baseline;
  font-size: 24px;
  color: #fff;
  font-weight: 600;
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
  line-height: 22px;
}
.page-ranking .more .gift-game-info .gift-price .final-price .symbol {
  font-size: 14px;
}
.page-ranking .more .gift-game-info .gift-price .origin-price {
  font-size: 12px;
  font-weight: 500;
  color: #fff;
  text-decoration: line-through;
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
}
.page-ranking .more .gift-game-info .gift-price .discount {
  background-color: #67C23A;
  padding: 0 8px;
  height: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100px;
  color: #FFFFFF;
  font-size: 11px;
  line-height: 14px;
  font-weight: 500;
}
.page-ranking .more img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 6px;
  display: block;
  aspect-ratio: 16/9;
}
.page-ranking .detail-content {
  padding: 0 8px;
}
.page-ranking .gift-info {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.page-ranking .gift-info .top {
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding: 20px 8px;
  justify-content: center;
  align-items: center;
  min-height: 87px;
}
.page-ranking .gift-info .name {
  flex: 1;
  display: flex;
  align-items: center;
  gap: 4px;
  color: #000000;
  font-size: 18px;
  font-weight: 500;
  justify-content: center;
  text-align: center;
}
.page-ranking .gift-info .name .name-text {
  flex: 1;
  text-align: center;
}
.page-ranking .gift-info .name img {
  width: 18px;
  height: 24px;
}
.page-ranking .gift-info .name .dot {
  background-color: #000000;
  height: 4px;
  width: 4px;
  border-radius: 50%;
}
.page-ranking .gift-info .desc {
  color: #53565A;
  font-size: 12px;
  line-height: 20px;
  text-align: center;
}
.page-ranking .gift-info .gift-price {
  display: flex;
  align-items: baseline;
  gap: 12px;
}
.page-ranking .gift-info .gift-price .final-price {
  display: flex;
  align-items: baseline;
  font-size: 24px;
  color: #ED4840;
  font-weight: 600;
  line-height: 22px;
}
.page-ranking .gift-info .gift-price .final-price .symbol {
  font-size: 14px;
}
.page-ranking .gift-info .gift-price .origin-price {
  font-size: 12px;
  font-weight: 500;
  color: #76787B;
  text-decoration: line-through;
}
.page-ranking .gift-info .gift-price .discount {
  background-color: #67C23A;
  padding: 0 8px;
  height: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100px;
  color: #FFFFFF;
  font-size: 11px;
  line-height: 14px;
  font-weight: 500;
}
.page-ranking .game-list {
  padding: 0 8px;
  border-top: 4px solid #F5F5F5;
  margin-top: 8px;
}
.page-ranking .game-list .game-title {
  height: 46px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  color: #000000;
  font-size: 16px;
  font-weight: 500;
}
.page-ranking .game-list-content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 11px;
}
.page-ranking .gift-btn {
  width: 320px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #EA8101;
  color: #fff;
  font-size: 15px;
  line-height: 20px;
  font-weight: 500;
  border-radius: 100px;
  margin-top: 12px;
}
.page-ranking .game-offline-notice {
  width: 320px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #FFD8E4;
  gap: 4px;
  color: #333;
  font-size: 14px;
  line-height: 20px;
  font-weight: 500;
  border-radius: 100px;
  margin-top: 12px;
}
.page-ranking .btn-fixed {
  position: fixed;
  bottom: 8px;
  z-index: 99;
  margin-left: calc((100vw - 320px) / 2);
}

.loading {
  cursor: not-allowed !important;
  pointer-events: none;
}
.loading::before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  width: 16px;
  height: 16px;
  margin-right: 8px;
  border: 1.5px solid #FFFFFF;
  border-top-color: transparent;
  border-radius: 50%;
  animation: modal-button-spinner 0.8s linear infinite;
  box-sizing: border-box;
}